---
title: 应用
date: 2024-05-09 11:40:36
tags: [Hexo, Keep]
categories: [Hexo]
---

# 2.2 应用
```
应用是指基于LLM大语言模型构建的实际场景应用。支持全屏和弹框两种样式嵌入到第三方产品，您可以根据需求为不同产品创建所需的应用。

点击【应用】菜单，进入应用列表页面，该页面支持应用创建、编辑、删除、查询等功能。
```

![applist](https://github.com/1Panel-dev/MaxKB/assets/52996290/45d9fd41-b506-41c1-9146-98946b2662d2)

## 2.2.1 创建应用
```
点击【创建应用】，进入创建应用页面，左侧为应用信息，右侧为调试预览界面。      
应用名称：用户提问时对话框的标题和名字。    
应用描述：对应用场景及用途的描述。    
AI模型： 在【系统设置】-【模型管理】中添加的大语言模型。    
提示词：系统默认有智能知识库的提示词，用户可以自定义通过调整提示词内容，可以引导大模型聊天方向.
多轮对话： 开启时当用户提问携带用户在当前会话中最后3个问题；不开启则仅向大模型提交当前问题题。           
关联知识库：用户提问后会在关联的知识库中检索分段。   
开场白：用户打开对话时，系统弹出的问候语。支持 Markdown 格式；[-]后的内容为快捷问题，一行一个。       
问题优化：对用户提出的问题先进行一次 LLM 优化处理，将优化后的问题在知识库中进行向量化检索；    
        开启后能提高检索知识库的准确度，但由于多一次询问大模型会增加回答问题的时长。   
  
应用信息设置完成后，可以在右侧调试预览中进行提问预览，调试预览中提问内容不计入对话日志。
```
<img width="1472" alt="add-app" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/6e38ae62-bba9-4c72-85bf-ebe871a83452">

- **参数设置详细说明**
```
1、检索模式：1.1 向量检索：使用向量模型通过向量距离计算与用户问题最相似的文本分段；1.2.全文检索：通过关键词检索，返回包含关键词最多的文本分段；1.3. 混合检索：同时执行全文检索和向量检索，再进行重排序，从两类查询结果中选择匹配用户问题的最佳结果。
2、相似度：相似度越高代表问题和分段的相关性越强。
3、引用分段数：提问时按相似度携带N个分段生成提示词询问 LLM 模型。
4、引用最大字符数：引用分段内容设置最大字符数，超过时则截断。
5、无引用知识库时，有 2 种处理方式可设置：
   5.1. 继续提问：可以自定义设置提示词，需要有{question}用户问题的占位符，才会把用户问题发送给模型。
   5.2. 指定回复内容：当没有命中知识库分段时可以指定回复内容。
```
![image](https://github.com/1Panel-dev/MaxKB/assets/52996290/c0f920aa-049c-4fbf-96f9-fd81e1ff9283)


## 2.2.2 应用设置
```
在应用列表，点击应用面板的【设置】进入应用设置页面。
所有设置保存后设置生效。
```
<img width="1473" alt="app-setting" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/83af28ff-ac54-4c0a-a720-669f8cee3618">

## 2.2.3 删除应用

```
在应用列表，支持对用户创建的应用进行删除操作。
```
<img width="1470" alt="del-app" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/1431d310-5e98-4a17-9645-69dc42bdb4ec">


## 2.2.4 应用概览

```
在应用列表页面，点击应用的面板，进入到应用概览页面。
在概览页面可以进行演示、启用/禁用/重新生成公开访问链接、嵌入第三方、访问限制设置和 API Key 管理操作。
在应用概览页面支持查看当前应用的监控统计数据
```
![image](https://github.com/1Panel-dev/MaxKB/assets/52996290/2cc787bf-85ca-49d3-9d97-361b3d05b112)



### 2.2.4.1 公开访问链接
```
用户点击演示或复制公开访问链接至浏览器进入问答页面。
```

<img width="1475" alt="QA" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/9ba127e4-76ef-4dde-b406-86bb179d3733">

```
公开访问链接支持开关设置和重新生成。  
关闭/重新生成公开访问链接时，提示：抱歉，当前正在维护，无法提供服务，请稍后再试！
```

<img width="1471" alt="app-closed" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/88c2bffa-1348-4980-ba93-980da052a868">

### 2.2.4.2 嵌入第三方
```
MaxKB 应用支持零编码嵌入到企业的第三方系统。
当应用设置完成后，在应用概览页面，点击【嵌入第三方】，用户可以复制全屏模式代码或浮窗模式代码嵌入到第三方系统中，嵌入完成后便可在第三方系统中进行用户问答。
```

![Embed third-party](https://github.com/1Panel-dev/MaxKB/assets/52996290/121c2ba3-1ebc-4ae2-94e2-4d24635f402b)

### 2.2.4.3 访问限制

```
MaxKB 支持对应用设置客户端提问次数限制和嵌入第三方白名单防盗链设置。
```

<img width="1475" alt="Access restrictions" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/f70db9ac-888a-484c-a678-40c1e4bc08ba">

### 2.2.4.4 API 访问凭据

```
二开时调用当前应用的 API 文档和 API Key 管理，复制凭证地址可以打开 API 文档，点击 【API Key 】，打开 API Key 的管理对话框。
支持创建、启用/禁用、删除 API Key。
```

<img width="1475" alt="app-apikey" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/4290d361-5fc3-4259-9b26-5c492446e4f8">

### 2.2.4.5  监控统计

```
针对每个应用支持统计提问用户数据、新增提问用户数、提问数、 消费Tokens数和用户满意度。
```
![image](https://github.com/1Panel-dev/MaxKB/assets/52996290/fff04016-6865-4583-96c1-aad320969cde)


## 2.2.5 命中测试
```
命中测试功能是针对用户提问进行一个模拟测试，用来调整分段内容和关联问题从而提高分段内容的匹配度，提高回答效果。   
输入用户测试问题，系统在当前应用关联的知识库中进行向量检索，检索与问题相关的分段，按照相似度和返回Top 分段数筛选返回满足条件的分段。   
用户可以根据返回分段对分段进行编辑或添加关联问题。
```
![app-hittesting](https://github.com/1Panel-dev/MaxKB/assets/52996290/d08cc1e1-a34e-4224-8341-9ccb535e9e99)

## 2.2.6 对话日志
```
在对话日志钟记录了所有用户会话中的问答详情，包括用户对 AI 回答的反馈信息。  
维护人员可以通过查看对话日志和用户反馈来修正答案。   
支持查询过去 7 天、30 天、90 天、过去半年的对话日志。
支持按摘要和用户反馈查询对话日志。
支持导出对话日志内容。
```
![image](https://github.com/1Panel-dev/MaxKB/assets/52996290/c4ebc0e8-e12e-4812-b228-5b75c2416a7e)

### 2.2.6.1 日志详情

```
日志详情为每个用户真实的问答场景，问答中用户的反馈只能查看不能修改。
```

<img width="1468" alt="log-details" src="https://github.com/1Panel-dev/MaxKB/assets/52996290/8f769200-6487-4574-924f-1e7321d979df">

```
支持查看 AI 回答时具体引用知识库的分段内容。
```

![Quotations](https://github.com/1Panel-dev/MaxKB/assets/52996290/65c32809-8ea4-4c7d-ae5a-600e6dd75e09)
```
维护人员可以根据用户提问和 AI 回答以及用户的反馈来标注答案完善分段内容。
```
![EditAnser](https://github.com/1Panel-dev/MaxKB/assets/52996290/502cf972-d84a-4ddd-822a-0e09911934b8)

