---
title: MaxKB 是一款基于 LLM 大语言模型的知识库问答系统
date: 2024-05-09 11:40:36
tags: [Hexo, Keep]
categories: [Hexo]
---
MaxKB 是一款基于 LLM 大语言模型的知识库问答系统。   

- **多模型支持**：支持对接主流的大模型，包括本地私有大模型（如 Llama 2）、OpenAI、通义千问、Kimi、Azure OpenAI 和百度千帆大模型等；
- **开箱即用**：支持直接上传文档、自动爬取在线文档，支持文本自动拆分、向量化，智能问答交互体验好；
- **无缝嵌入**：支持零编码快速嵌入到第三方业务系统。

## 快速开始

```
docker run -d --name=maxkb -p 8080:8080 -v ~/.maxkb:/var/lib/postgresql/data 1panel/maxkb
```

也可以通过 [1Panel 应用商店](https://apps.fit2cloud.com/1panel) 快速部署 MaxKB + Ollama + Llama 2，30 分钟内即可上线基于本地大模型的知识库问答系统。

## 产品架构
<image width='800px' hight='450px' src='https://github.com/1Panel-dev/MaxKB/assets/52996290/edc984f3-30a0-4608-a046-a715b08834f6'></image>


## 实现原理
<image width='800px' hight='450px' src='https://github.com/1Panel-dev/MaxKB/assets/52996290/af504a10-4ffb-4f51-a696-3cd7dc724724'></image>



## 社区交流

[论坛](https://bbs.fit2cloud.com/c/mk/11)

## 技术栈

-   前端：[Vue.js](https://cn.vuejs.org/)
-   后端：[Python / Django](https://www.djangoproject.com/)
-   Langchain：[Langchain](https://www.langchain.com/)
-   向量数据库：[PostgreSQL / pgvector](https://www.postgresql.org/)
-   大模型：Azure OpenAI、OpenAI、通义千问、Kimi、百度千帆大模型、[Ollama](https://github.com/ollama/ollama)



